Create an organization
Site administrators create an organization for its future owner: an existing user
(owner.user_id) or a person invited by email. The organization starts as
waiting_for_owner with its default roles and scope, and the owner gets an invitation;
it becomes active when they accept. reactivate: true restores a deleted organization
that holds the slug.
Requires a site administrator’s user token.
POST
/
v1
/
orgs
/
new
Create an organization
curl --request POST \
--url https://{host}/v1/orgs/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "acme",
"display_name": "Acme Inc.",
"owner": {
"email": "[email protected]",
"display_name": "Alex Owner"
}
}
'import requests
url = "https://{host}/v1/orgs/new"
payload = {
"slug": "acme",
"display_name": "Acme Inc.",
"owner": {
"email": "[email protected]",
"display_name": "Alex Owner"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: 'acme',
display_name: 'Acme Inc.',
owner: {email: '[email protected]', display_name: 'Alex Owner'}
})
};
fetch('https://{host}/v1/orgs/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/orgs/new",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'slug' => 'acme',
'display_name' => 'Acme Inc.',
'owner' => [
'email' => '[email protected]',
'display_name' => 'Alex Owner'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/orgs/new"
payload := strings.NewReader("{\n \"slug\": \"acme\",\n \"display_name\": \"Acme Inc.\",\n \"owner\": {\n \"email\": \"[email protected]\",\n \"display_name\": \"Alex Owner\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/orgs/new")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"slug\": \"acme\",\n \"display_name\": \"Acme Inc.\",\n \"owner\": {\n \"email\": \"[email protected]\",\n \"display_name\": \"Alex Owner\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/orgs/new")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"slug\": \"acme\",\n \"display_name\": \"Acme Inc.\",\n \"owner\": {\n \"email\": \"[email protected]\",\n \"display_name\": \"Alex Owner\"\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"org": {
"id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"slug": "acme",
"display_name": "Acme Inc.",
"status": "waiting_for_owner",
"owner": {
"user_id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"email": "[email protected]",
"status": "invited"
},
"created_at": "2026-10-07T10:00:00Z",
"reactivated": false
},
"owner_invite": {
"invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b",
"role": "owner",
"status": "pending",
"expires_at": "2026-10-14T10:00:00Z",
"email_sent": true
}
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
URL-safe org identifier; immutable after creation
Minimum string length:
1The owner: { user_id } or { email, display_name? }
- Option 1
- Option 2
Show child attributes
Show child attributes
Human-readable org name (default: the slug)
Site admin: restore the deleted org (or owner) that holds the name
⌘I
Create an organization
curl --request POST \
--url https://{host}/v1/orgs/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "acme",
"display_name": "Acme Inc.",
"owner": {
"email": "[email protected]",
"display_name": "Alex Owner"
}
}
'import requests
url = "https://{host}/v1/orgs/new"
payload = {
"slug": "acme",
"display_name": "Acme Inc.",
"owner": {
"email": "[email protected]",
"display_name": "Alex Owner"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: 'acme',
display_name: 'Acme Inc.',
owner: {email: '[email protected]', display_name: 'Alex Owner'}
})
};
fetch('https://{host}/v1/orgs/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/orgs/new",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'slug' => 'acme',
'display_name' => 'Acme Inc.',
'owner' => [
'email' => '[email protected]',
'display_name' => 'Alex Owner'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/orgs/new"
payload := strings.NewReader("{\n \"slug\": \"acme\",\n \"display_name\": \"Acme Inc.\",\n \"owner\": {\n \"email\": \"[email protected]\",\n \"display_name\": \"Alex Owner\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/orgs/new")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"slug\": \"acme\",\n \"display_name\": \"Acme Inc.\",\n \"owner\": {\n \"email\": \"[email protected]\",\n \"display_name\": \"Alex Owner\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/orgs/new")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"slug\": \"acme\",\n \"display_name\": \"Acme Inc.\",\n \"owner\": {\n \"email\": \"[email protected]\",\n \"display_name\": \"Alex Owner\"\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"org": {
"id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"slug": "acme",
"display_name": "Acme Inc.",
"status": "waiting_for_owner",
"owner": {
"user_id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"email": "[email protected]",
"status": "invited"
},
"created_at": "2026-10-07T10:00:00Z",
"reactivated": false
},
"owner_invite": {
"invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b",
"role": "owner",
"status": "pending",
"expires_at": "2026-10-14T10:00:00Z",
"email_sent": true
}
}
}